> ## Documentation Index
> Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Proxies Pending Replacement

> Get list of all proxies in the provided zone, which are pending replacement



## OpenAPI

````yaml GET /zone/proxies_pending_replacement
openapi: 3.0.1
info:
  title: Brightdata API
  description: >-
    Integrate Bright Data APIs to your pipeline and secure high-end scraping
    precision
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /zone/proxies_pending_replacement:
    get:
      tags:
        - Proxy
      description: >-
        Get list of all proxies in the provided zone, which are pending
        replacement
      parameters:
        - name: zone
          in: query
          description: Zone
          schema:
            type: string
      responses:
        '200':
          description: JSON body of pending IP replacements per zone
          content:
            application/json:
              schema:
                type: object
                properties:
                  ZoneName:
                    type: object
                    properties:
                      type:
                        type: string
                        example: zone1
                      ips_to_replace:
                        type: integer
                        example: 1
                      ips_list:
                        type: array
                        items:
                          type: object
                          properties:
                            due_date:
                              type: string
                              format: date
                            ips:
                              type: array
                              items:
                                type: object
                                properties:
                                  ip:
                                    type: string
                                    format: ipv4
                                  country:
                                    type: string
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````